<?php
/**************************************************
  CPG Plugin for Coppermine Photo Gallery - Login info
  *************************************************
  Copyright (c) 2006 
  *************************************************
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  *************************************************
  Coppermine version: 1.4.10
  $Revision: 1.0 $
  $Author: m@rk $
  *************************************************
  Login info adds an info line, if you are logged in or not, below the menu on your Coppermine Photo Gallery. 
  In Admin Mode, an additional link to the Plugin Manager is displayed.
  *************************************************
  Change Log:
  v1.3:
  new: since ...
  v1.2:
  RC 1 in CPG Forum
  http://coppermine-gallery.net/forum/index.php?topic=39631.0
  v1.1:
  Multi Language Support
***************************************************/

if (!defined('IN_COPPERMINE')) die('Not in Coppermine...');

$thisplugin->add_action('page_start','login_info_start');

 
function login_info_start()
{
    global $template_sub_menu;
    $template_sub_menu .= plugin_login_info();
}


function plugin_login_info() {

	global $CONFIG, $REFERER;
	include ('./plugins/login_info/include/init.inc.php');

	$result = cpg_db_query( "SELECT user_lastvisit FROM {$CONFIG['TABLE_USERS']} WHERE user_id = " . USER_ID ); // thanks Nibbler
		// optional:
		if (!$result) {
   			echo 'Abfrage konnte nicht ausgefhrt werden: ' . mysql_error();
   			exit;
		}

	while ($row = mysql_fetch_array($result)) 
		$since= $lang_plugin_login_info['since'] . " " . localised_date( strtotime( $row['user_lastvisit']), $lang_plugin_login_info['date_format'] ); 
		

	if( GALLERY_ADMIN_MODE){
		$loginInfoHtml = "<div align=\"center\" class=\"smallfont\">{$lang_plugin_login_info['you_are']} {$lang_plugin_login_info['logged_in']} {$lang_plugin_login_info['as']} <strong>".(USER_NAME)."</strong> {$since} 
			<!-- remove or comment links not needed: -->
			(<a href='pluginmgr.php'>{$lang_plugin_login_info['plugins']}</a>, <a href='viewlog.php'>{$lang_plugin_login_info['logs']}</a>, <a href='versioncheck.php'>{$lang_plugin_login_info['version_check']}</a>, <a href='phpinfo.php'>{$lang_plugin_login_info['phpinfo']}</a>)</div>";
	} elseif( USER_ID) {
		$loginInfoHtml = "<div align=\"center\" class=\"smallfont\">{$lang_plugin_login_info['you_are']} {$lang_plugin_login_info['logged_in']} {$lang_plugin_login_info['as']} <strong>".(USER_NAME)."</strong> {$since}</div>";
	} else {
		$loginInfoHtml = "<div align=\"center\" class=\"smallfont\">{$lang_plugin_login_info['you_are']} <strong>{$lang_plugin_login_info['not']} </strong> {$lang_plugin_login_info['logged_in']}</div>";
	}

  return $loginInfoHtml; 
}
?>